hotspot/test/Makefile
changeset 30594 e1b420c520a0
parent 30280 b9efc9156778
child 30595 1416b16e7f55
--- a/hotspot/test/Makefile	Tue May 05 12:33:57 2015 -0700
+++ b/hotspot/test/Makefile	Wed May 06 17:42:24 2015 -0700
@@ -368,6 +368,10 @@
 	for variant in $(JVM_VARIANTS);                                           \
 	do                                                                        \
 	    $(MAKE) JAVA_ARGS="$(JAVA_ARGS) -$$variant" hotspot_$${variant}test;  \
+	    res=$$?;                                                              \
+	    if [ $$res -ne 0 ]; then                                              \
+	        exit $$res;                                                       \
+	    fi;                                                                   \
 	done
 
 PHONY_LIST += hotspot_basicvmtest